%define  upstream_name PHP_CodeCoverage
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	1.1.2
Release:	%mkrel 1
Summary:	Library that provides collection, processing, and rendering functionality for PHP code coverage information
License:	BSD
Group:		Development/PHP
URL:		http://pear.phpunit.de/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear >= 1.9.4
Requires:	php-channel-phpunit
Requires:	php-pear-File_Iterator >= 1.3.0
Requires:	php-pear-PHP_TokenStream >= 1.1.0
Requires:	php-pear-Text_Template >= 1.1.1
BuildArch:	noarch
BuildRequires:	php-pear >= 1.9.4
BuildRequires:	php-channel-phpunit


%description
Library that provides collection, processing, and rendering functionality
for PHP code coverage information.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHP_CodeCoverage.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHP_CodeCoverage.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/PHP_CodeCoverage
fi

%files
%defattr(-,root,root)
%doc
%peardir/PHP/CodeCoverage.php
%peardir/PHP/CodeCoverage/Autoload.php
%peardir/PHP/CodeCoverage/Driver.php
%peardir/PHP/CodeCoverage/Driver/Xdebug.php
%peardir/PHP/CodeCoverage/Exception.php
%peardir/PHP/CodeCoverage/Filter.php
%peardir/PHP/CodeCoverage/Report/Clover.php
%peardir/PHP/CodeCoverage/Report/Factory.php
%peardir/PHP/CodeCoverage/Report/HTML.php
%peardir/PHP/CodeCoverage/Report/HTML/Renderer.php
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Dashboard.php
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Directory.php
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/File.php
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/close12_1.gif
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/container-min.js
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/container.css
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/dashboard.html.dist
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/directory.html.dist
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/directory.png
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/directory_item.html.dist
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/file.html.dist
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/file.png
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/file_item.html.dist
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/file_no_yui.html.dist
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/glass.png
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/highcharts.js
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/jquery.min.js
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/method_item.html.dist
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/style.css
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/yahoo-dom-event.js
%peardir/PHP/CodeCoverage/Report/HTML/Renderer/Template/yui_item.js
%peardir/PHP/CodeCoverage/Report/Node.php
%peardir/PHP/CodeCoverage/Report/Node/Directory.php
%peardir/PHP/CodeCoverage/Report/Node/File.php
%peardir/PHP/CodeCoverage/Report/Node/Iterator.php
%peardir/PHP/CodeCoverage/Report/PHP.php
%peardir/PHP/CodeCoverage/Report/Text.php
%peardir/PHP/CodeCoverage/Util.php

%{xmldir}/PHP_CodeCoverage.xml







%changelog

* Mon Feb 27 2012 spuhler <spuhler> 1.1.2-1.mga2
+ Revision: 215492
- update to 1.1.2

* Mon Nov 14 2011 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 167455
- upgrade to 1.1.1
- upgrade to 1.1.1

* Wed Jul 20 2011 spuhler <spuhler> 1.0.4-2.mga2
+ Revision: 126890
- increased rel to 2
  revamped spec to pear style and adding the md5 test

* Mon Jul 11 2011 spuhler <spuhler> 1.0.4-1.mga2
+ Revision: 122035
- imported package php-pear-PHP_CodeCoverage

